# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define reltag SP1
%define namedversion 2.0.3.%{reltag}

Name:           jboss-security-negotiation
Version:        2.0.3.1
Release:        4%{?dist}
Epoch:          0
Summary:        JBoss Security Negotiation
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
# svn -q export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-negotiation/tags/security-negotiation-2.0.3.SP1/ jboss-security-negotiation-2.0.3.SP1 && tar cjf jboss-security-negotiation-2.0.3.SP1.tar.bz2 jboss-security-negotiation-2.0.3.SP1
Source0:        jboss-security-negotiation-2.0.3.SP1.tar.bz2
Source1:        jboss-security-negotiation-jpp-depmap.xml
Source2:        jboss-security-negotiation-settings.xml
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
Requires:       java >= 0:1.5.0
Requires:       jboss-common-core
Requires:       jboss5-libs
Requires:       jbossweb
Requires:       jpackage-utils >= 0:1.7.3
Requires:       log4j
Requires:       servlet_2_5_api
BuildRequires:  apache-commons-parent
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-war
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-jboss-deploy-plugin
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  junit
BuildRequires:  jboss-common-core
BuildRequires:  jboss-parent >= 0:3 
BuildRequires:  jboss5-libs
BuildRequires:  jbossweb
BuildRequires:  log4j
BuildRequires:  servlet_2_5_api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Security Negotiation.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q -n jboss-security-negotiation-%{namedversion}

cp -p %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/javax/security/jaas/1.0.01/
ln -sf %{_jvmdir}/java/jre/lib/rt.jar $MAVEN_REPO_LOCAL/javax/security/jaas/1.0.01/jaas-1.0.01.jar

export MAVEN_OPTS="-Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Dmaven2.jpp.depmap.file=%{SOURCE1} -Daggregate=true"
%{_bindir}/mvn-jpp -e \
        -s ${M2SETTINGS} \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -p -m 644 assembly/target/jboss-negotiation.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -p -m 644 jboss-negotiation-common/target/jboss-negotiation-common.jar %{buildroot}%{_javadir}/%{name}-common-%{version}.jar
install -p -m 644 jboss-negotiation-extras/target/jboss-negotiation-extras.jar %{buildroot}%{_javadir}/%{name}-extras-%{version}.jar
install -p -m 644 jboss-negotiation-ntlm/target/jboss-negotiation-ntlm.jar %{buildroot}%{_javadir}/%{name}-ntlm-%{version}.jar
install -p -m 644 jboss-negotiation-spnego/target/jboss-negotiation-spnego.jar %{buildroot}%{_javadir}/%{name}-spnego-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -p -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-main.pom
install -p -m 644 parent/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-project.pom
install -p -m 644 assembly/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
install -p -m 644 jboss-negotiation-common/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-common.pom
install -p -m 644 jboss-negotiation-extras/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-extras.pom
install -p -m 644 jboss-negotiation-ntlm/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-ntlm.pom
install -p -m 644 jboss-negotiation-spnego/pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-spnego.pom
%add_to_maven_depmap org.jboss.security jboss-negotiation-main %{namedversion} JPP %{name}-main
%add_to_maven_depmap org.jboss.security jboss-negotiation-project %{namedversion} JPP %{name}-project
%add_to_maven_depmap org.jboss.security jboss-negotiation %{namedversion} JPP %{name}
%add_to_maven_depmap org.jboss.security jboss-negotiation-common %{namedversion} JPP %{name}-common
%add_to_maven_depmap org.jboss.security jboss-negotiation-extras %{namedversion} JPP %{name}-extras
%add_to_maven_depmap org.jboss.security jboss-negotiation-ntlm %{namedversion} JPP %{name}-ntlm
%add_to_maven_depmap org.jboss.security jboss-negotiation-spnego %{namedversion} JPP %{name}-spnego

install -d -m 755 %{buildroot}%{_datadir}/%{name}-%{version}
install -p -m 644 jboss-negotiation-toolkit/target/jboss-negotiation-toolkit.war %{buildroot}%{_datadir}/%{name}-%{version}

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-common-%{version}.jar
%{_javadir}/%{name}-common.jar
%{_javadir}/%{name}-extras-%{version}.jar
%{_javadir}/%{name}-extras.jar
%{_javadir}/%{name}-ntlm-%{version}.jar
%{_javadir}/%{name}-ntlm.jar
%{_javadir}/%{name}-spnego-%{version}.jar
%{_javadir}/%{name}-spnego.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_datadir}/maven2/poms/JPP-%{name}-common.pom
%{_datadir}/maven2/poms/JPP-%{name}-extras.pom
%{_datadir}/maven2/poms/JPP-%{name}-main.pom
%{_datadir}/maven2/poms/JPP-%{name}-ntlm.pom
%{_datadir}/maven2/poms/JPP-%{name}-project.pom
%{_datadir}/maven2/poms/JPP-%{name}-spnego.pom
%{_mavendepmapfragdir}/%{name}
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Oct 11 2010 David Walluck <dwalluck@redhat.com> 0:2.0.3.1-4
- don't Requires: jboss-parent{,1} at runtime

* Thu Jan 22 2010 David Walluck <dwalluck@redhat.com> 0:2.0.3.1-3
- update (Build)Requires for jboss5-libs

* Fri Nov 13 2009 David Walluck <dwalluck@redhat.com> 0:2.0.3.1-2
- remove bundled jboss-parent

* Tue Sep 08 2009 Ralph Apel <r.apel@r-apel.de> - 0:2.0.3.1-1
- first release
